Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
SirGooner02 Posted on 23/01/2020 22:25
Imagine Boro when unbeaten all season
 
played the best football you have seen in your lives

then 15 years later another team say Newcastle, comes along plays good football but not a patch on the stuff your lot played, scores late on every single week and breaks all your records.

It would be a horrible feeling, feel that way about Liverpool at the moment.

Great team as they the records will show they are a better side, when I know our team back then would of taken them apart if we played 9 times out of ten.





IP: Logged
Dynamo_kev Posted on 23/01/2020 22:32

Imagine Boro when unbeaten all season
i was thinking this tonight, though i was comparing them to the utd side we faced in 99. they beat us 4-3 at the riverside but really could and should have had double figures. (similar side to the gunners at the time).

they would litrally destroy teams when on song. liverpool just seem to keep winning though they are not winning by much, fine margains.

i think the teams in the prem are better now than back then, more fancy are liverpool and city, but maybe in a cup final the likes of arsenal or man u back then would beat them up.
IP: Logged
Dynamo_kev Posted on 23/01/2020 22:39

Imagine Boro when unbeaten all season
i'd take henry pires and that dutch lad over mane salah and firmino and day of the week.
IP: Logged
HolgateCorner Posted on 23/01/2020 22:42

Imagine Boro when unbeaten all season
This is a very poor premier league.

The big teams except for Liverpool are all in transition with new management and players and Man City need refreshing.

The rest of the league is getting weaker as the financial gulf grows between the global clubs and the ordinary.

Year on year the prem is becoming less and less competitive.
IP: Logged
SirGooner02 Posted on 23/01/2020 22:58

Imagine Boro when unbeaten all season
100 point seasons are not healthy for the league either

cant be good for tv ratings either
IP: Logged
BoroBen92 Posted on 23/01/2020 22:58

Imagine Boro when unbeaten all season
They're doing a great job to keep on winning, but the competition is terrible.

Chelsea in 4th are 27 points off Liverpool in 1st, with Liverpool having a game in hand, and only 23 points off Norwich in 20th.

I hope somebody manages to beat them before the end as it's a record I'd sooner they didn't equal.
They've won the league at a canter, regardless.
IP: Logged
borofan402 Posted on 23/01/2020 22:59

Imagine Boro when unbeaten all season
Absolute rubbish, itís more competitive if anything. There used to be just a rigid top four at the beginning of the new millennium now there is 6 teams going for champions league football. Wolves and Leicester are some of those pushing for it. Sheff Utd done really well since being promoted.

Liverpool + Man City neck and neck last season. Liverpool are just freaks at the moment. How long they can sustain it for is the question.
IP: Logged
BoroBen92 Posted on 23/01/2020 23:07
Edited On: 23/01/2020 23:09
Imagine Boro when unbeaten all season
A team beyond the halfway point dropping 2 points all season whilst rarely playing particularly well, and only losing once the season before, is a sign it's not that competitive.

The teams below are all scrambling up because the rest of the top teams aren't that good anymore.
IP: Logged
borofan402 Posted on 23/01/2020 23:15

Imagine Boro when unbeaten all season
For some reason no one seemed to care when City won the league by 19 points a few years ago. Odd. Iíve still enjoyed watching this season anyway.
IP: Logged
ThePenguin Posted on 23/01/2020 23:18

Imagine Boro when unbeaten all season
"For some reason no one seemed to care when City won the league by 19 points a few years ago."

Rubbish. People were bemoaning the possibility of a Man City dominance to span years and years.
IP: Logged
BoroBen92 Posted on 23/01/2020 23:24

Imagine Boro when unbeaten all season
As said above, everyone moaned about it.

I wasn't happy about Chelsea's complete dominance in Conte's first season either.

Last season was a rarity in that it was two teams that ran away with it, rather than the 1 that has been the norm for years.
IP: Logged
borofan402 Posted on 23/01/2020 23:32

Imagine Boro when unbeaten all season
Man City have had money to burn on players, Man Utd also have spent a great amount. They should have put up more of a challenge.

Like I say I still really enjoy the PL regardless. Maybe just tune in when it pans out how you want it to?
IP: Logged
BoroBen92 Posted on 23/01/2020 23:33
Edited On: 23/01/2020 23:36
Imagine Boro when unbeaten all season
Liverpool have spent a huge amount too.

I enjoy the relegation battle far more lately, it's more relevant to Boro too.

Still got the British clubs in the Champions/Europa League matches to enjoy as well.
IP: Logged
borofan402 Posted on 23/01/2020 23:39

Imagine Boro when unbeaten all season
Fair enough [^] all opinions.
IP: Logged
Indeedido Posted on 23/01/2020 23:39

Imagine Boro when unbeaten all season
Just remember Sir Gooner who beat you home and away in the league cup semi final that invincibles season[8)]
IP: Logged
glover_elbow Posted on 24/01/2020 00:03

Imagine Boro when unbeaten all season
Sheff utd and even Leicester riding so high tells you everything you need to know about the standard of the premier league its weak as pi ss man city and Liverpool apart. Dont believe the sky hype the Premier league is a very mediocre competition
IP: Logged
SirGooner02 Posted on 24/01/2020 00:46

Imagine Boro when unbeaten all season
Very true that boro team was some team, Mendieta, Zenden, and the little genius.

I was at Highbury for that freezing cold first leg , when it seemed a load of yours were wearing smog masks , you did create a real noise all night. Juninho ran the show and scored a superb winner.

We did rotate quite a bit for for those games but you had a really good team and deserved to win.Keown looked his age in the second leg but you played some great stuff.

IP: Logged
Dynamo_kev Posted on 24/01/2020 01:37

Imagine Boro when unbeaten all season
yep remember that rotation. even ur reserve team was better than most prem teams. unlike now. probably only city who have a squad with that much depth. manu reserve team would be relegated these days.
IP: Logged
gottle-o-geer Posted on 24/01/2020 03:27

Imagine Boro when unbeaten all season
I'm with bf402 on this like. Appears to me that the general consensus is if the usual "big 4/6" are not in the title mix then it's considered a mediocre league, which IMO is a disservice to the other teams up there. Granted the usual suspects are not steam rolling the "also rans", but doesn't that in itself make it more competitive?

There's no doubt that Liverpool running away with it has certainly taken any excitement away from the grand prize, but watching the likes of Man U, Chelsea, Gunners (no offense Sir G), Spurs et al sweating not getting to the big table is really adding to the competition for me. Like most of us here I'm a Boro fan through and through, therefore feel genetically predisposed to be always pulling for the supposed underdog. If Leicester take a Champs league spot from anyone of them I'll be happy. The Blades upsetting the applecart, terrific! Wolves getting in there n all, just magic. Happy to see Pools take it all and set records along the way, if for no other reason to wipe the smug arrogance and sense of entitlement off the Man United fans faces.

In conclusion I'm quite enjoying both the Prem league not shaking out in the usual manner this season, and the Boro shaking out in the most usual, unpredictable, build you up just to let you down then make you fall in love with them all over again, way.

As long as the mags and Leeds win fcuk all!
IP: Logged
hamstercheeks Posted on 24/01/2020 06:57

Imagine Boro when unbeaten all season
The same arsenal team that drew 12 games in that unbeaten season and couldn't win a Champions league.

Yes you played some beautiful football at times but I don't think that arsenal team was any better than this Liverpool team. Unlike arsenal, Liverpool are doing it in Europe as well as domestically. Without Karius in goal Liverpool might well have won back to back champions leagues.

Yes Liverpool are grinding games out but I've watched them play some wonderful football over the last couple of years and sometimes people should give credit where it's due.

IP: Logged
Zoophonic Posted on 24/01/2020 07:03

Imagine Boro when unbeaten all season
Liverpool are phenomenal this season. City will end their unbeaten run so donít fret Gooner. Once the title is won - probably with 9 games to go Liverpool will rest players. Mane hamstring isnít good news for them.

Itís a strange league. 6 days ago Burnley were being considered as relegation candidates. Now they are level with arsenal.
IP: Logged
uberweiss Posted on 24/01/2020 07:16

Imagine Boro when unbeaten all season
You can't think that "when" means "went" surely. I'm not having that. I refuse to believe anyone could be that feckin' stupid
IP: Logged
Fabios_porkpie_provider Posted on 24/01/2020 07:57

Imagine Boro when unbeaten all season
Agree with Sirgooner. That arsenal team was a different kind of Ďspecialí. Maybe itís something to do with that team existing at the same point as my peak football-interest years growing up, but Viera, Pires, Bergkamp and Henry remain the best players Iíve ever seen.
After Juninho, of course.
Hope liverpool, great though they are, donít take the record.
IP: Logged
Angelofayresome Posted on 24/01/2020 08:06

Imagine Boro when unbeaten all season
Bergkamp is the best player to play in our league absolutely loved watching that arsenal side. I would say this Liverpool team would not get a kick in midfield however the Gunners full backs would have job on stopping Mane Salah Robertson TAA. I know a couple of Liverpool fans and they are expecting to get beat at least once but I cant see it happening.
IP: Logged
MightyDuck Posted on 24/01/2020 09:11

Imagine Boro when unbeaten all season
This Liverpool side are better than the arsenal invincible. Absolutely miles better.
IP: Logged
lambsbrothersmatesnephew Posted on 24/01/2020 11:10

Imagine Boro when unbeaten all season
I completely agree with the OP.
For years I have noticed that any team at the top of the league at any given time with a bit of a points buffer are purred over by the press and the rest of the country.
Talk of dominance for years and if they'll ever be beaten again comes up.

Then they have a blip and another team challenges and the same things start getting said about them.
It's a joke and typical of society today - people living in the moment and exagerration. Man City could beat Barcelona in the Champions League 5-0 and suddenly they'd then be better than Liverpool.

You simply cannot knock Liverpool for their performances in the last 12 months particularly. Van Dijk is a class apart and they have strengths all over the rest of the team, clearly.
However, I do agree that the arsenal invincibles and definitely a couple of prime Manchester United teams would have beaten this Liverpool side.

It's all about opinions though, but I genuinely believe this is the worst Premier League by a long way. It's the first season where I've stopped watching certain matches as they're not catching my attention and are not appealing.
When you see the Tottenham, Chelsea and Manchester United teams doing so badly and inconsistent, yet still up there and fighting for the Champions League spots, that tells you everything.

Funnily enough, I also think our own league is suffering exactly the same.
The Karanka promotion team I believe would have absolutely walked the league this season.
IP: Logged
Cuthbert Posted on 24/01/2020 11:17
Edited On: 24/01/2020 11:24
Imagine Boro when unbeaten all season
I actually agree with MightyDuck, I think this Liverpool team are better, and would beat that arsenal** team.

I'd certainly tune in to watch the match and be proved wrong though. What a cracker!! [:D][^]

Edit: **I've used a capital 'a' for arsenal in my post, but it's correcting it to a small 'a'. Very strange.
IP: Logged
Indeedido Posted on 24/01/2020 11:30

Imagine Boro when unbeaten all season
Customarily classy response from you SirGooner[^].

I am grudgingly respectful of Liverpool's Lazarus act under Klopp and the record this season is phenomenal, however that arsenal team was fantastic and did go unbeaten; Liverpool have yet to do so.
It is some debate as to who has been best PL player, but only Van Dijk from their team would force his way in to that arsenal team in my opinion.
I'd rather watch that arsenal team any day of the week.
IP: Logged
FrozenHorse Posted on 24/01/2020 11:30
Edited On: 24/01/2020 11:31
Imagine Boro when unbeaten all season
"Imagine Boro when unbeaten all season, played the best football you have seen in your lives

then 15 years later another team say Newcastle, comes along plays good football but not a patch on the stuff your lot played, scores late on every single week and breaks all your records.

It would be a horrible feeling"



Not sure I have that much imagination TBH.

I don't want to take anything away from the quality of arsenal's football back then, it was great.

However, I do think there's an element of rose tinted glasses here. arsenal weren't sweeping other teams away imperiously each and every week. 12 draws and 14 wins by one goal margins in the league.

Don't take that as a criticism as such; I've long argued that smashing the league is the result of consistently coming out best in tight matches. That's what quality is.

It's that ability to find a way that really makes champions and, like it or not, Liverpool are doing that.

If you don't rate them as entertainment, fair enough, but you'll still have that sense of superiority, right?
IP: Logged
hopesoboro Posted on 24/01/2020 11:51

Imagine Boro when unbeaten all season
Sir Gooner is just fed up cos arsenal are pretty poor ATM (relatively speaking).
IP: Logged
SirGooner02 Posted on 24/01/2020 11:57

Imagine Boro when unbeaten all season
I think when all you hear on the radio in recent weeks is oh this Liverpool team is so much better than the arsenal team in 04 that irked me to respond.

Because they are more ruthless than our team was that year and will achieve more having won the champions league already, I give them props and yes we also rode our luck in a few games that year (not nearly as many times as they have though).

I know having traveled the country seeing that arsenal team, how they would have carved this Liverpool team open. They rely on their full-backs and we would not have allowed them to get up the pitch, Vieria on Henderson would have been a one-sided contest based on Gerrards struggles against Paddy.

But it is what it is, I do give Liverpool their props and they will go down in the record books as better than us, you cant argue stats.

IP: Logged
Greenandblack Posted on 24/01/2020 11:59

Imagine Boro when unbeaten all season
***"Imagine Boro when unbeaten all season, played the best football you have seen in your lives

then 15 years later another team say Newcastle, comes along plays good football but not a patch on the stuff your lot played, scores late on every single week and breaks all your records.

It would be a horrible feeling"***

No Boro fan would know, or is ever likely to know.

But Liverpool are on course to go way past 100 points, and score about 90 goals. Both of these are far more than arsenal in that season, so you'd have to conclude that it's a record deservedly broken.
IP: Logged
MightyDuck Posted on 24/01/2020 12:07

Imagine Boro when unbeaten all season
It is hard to imagine for us as we've never even had an unbeaten season at home.
IP: Logged
Uksake Posted on 24/01/2020 12:29

Imagine Boro when unbeaten all season
I actually value Sirgooners points. It's refreshing to hear a complete neutral speak sense. A welcomed member and hope he can come over to the new board [^]
IP: Logged
hamstercheeks Posted on 24/01/2020 13:23

Imagine Boro when unbeaten all season
"However, I do think there's an element of rose tinted glasses here. arsenal weren't sweeping other teams away imperiously each and every week. 12 draws and 14 wins by one goal margins in the league."

The specs are totally rose tinted and to say they would have beaten this Liverpool side 9/10 is ridiculous. I remember games that season where they were scraping results like when Pires dived for a penalty to salvage a draw against Portsmouth.

Just checked their European record that season and they lost to Dynamo Kiev, Locomotive Moscow and 3-0 at home to Inter. They did have some good results in europe but it was a mixed bag and were knocked out by Chelsea who had Scott Parker in midfield that night.

I think people are comparing arsenal at their best and Liverpool at their worst on here. On their day both were/are very good teams. To knock Liverpool because of the strength of the current league is nonsensical as well when they are the current champions league holders.
IP: Logged
hopesoboro Posted on 24/01/2020 13:26

Imagine Boro when unbeaten all season
Is Sir Gooner a complete neutral on this post?!?[:D]
IP: Logged
ThePenguin Posted on 24/01/2020 13:46

Imagine Boro when unbeaten all season
"To knock Liverpool because of the strength of the current league is nonsensical as well when they are the current champions league holders."

How is Liverpool being current CL holders render the argument about the strength of the PL this season "nonsensical"?
IP: Logged
glover_elbow Posted on 24/01/2020 14:02

Imagine Boro when unbeaten all season
Sky, Var and petro dollar ownership league has changed the league for the worse. I Much prefer the championship would happy to have the big 5 leave and have a thriving if you like better version of the championship as our top league
IP: Logged
Steer Posted on 24/01/2020 14:11

Imagine Boro when unbeaten all season
How is Liverpool being current CL holders render the argument about the strength of the PL this season "nonsensical"?

I think he alluding to the fact that Liverpool are a very strong team, and therefore their domination is a result of their strength instead of the PL being weak.


Frankly, I would more concerned if the same team was dominating season after season like in Scotland. Instead there have been various different winners of the PL including Leicester in recent seasons.
IP: Logged
Dynamo_kev Posted on 24/01/2020 14:15

Imagine Boro when unbeaten all season
alexander arnold walks in at right back to any team in prem history. that lad is the best out there by miles.
IP: Logged
lambsbrothersmatesnephew Posted on 24/01/2020 14:20

Imagine Boro when unbeaten all season
"alexander arnold walks in at right back to any team in prem history. that lad is the best out there by miles."

Andy Robertson doesn't.
Jordan Henderson doesn't.
Alisson doesn't.
Dejan Lovren doesn't.
Gio Wijnaldum doesn't.
IP: Logged
ThePenguin Posted on 24/01/2020 14:29

Imagine Boro when unbeaten all season
"I think he alluding to the fact that Liverpool are a very strong team, and therefore their domination is a result of their strength instead of the PL being weak."

Which tells the story of Liverpool, which I agree are a strong team, rather than the league itself.
And if it is we look at the strength of the league based on one team then look at Spurs; last season's beaten CL finalist, this season after 24 games in the PL they are 20 points worse off than they were last at this stage.
IP: Logged
ThePenguin Posted on 24/01/2020 14:38

Imagine Boro when unbeaten all season
"Andy Robertson doesn't."

I'd argue he's a more complete fullback than TAA. And maybe the reason he wouldn't get in a PL all time XI is because he's competing against legit world class LBs like Ashley Cole, Evra and Irwin, but I'd certainly think he deserves to be mentioned alongside them.
Who are the best RBs the PL has had? Lauren? Neville?
IP: Logged
Indeedido Posted on 24/01/2020 16:55

Imagine Boro when unbeaten all season
Arnold is playing brilliantly and is a real prospect, but defensively he is not strong yet.

I was at Emirates last saturday staying down after our Fulham match. arsenal were really really awful and the atmosphere was dire. Sad to compare back.
IP: Logged
hopesoboro Posted on 24/01/2020 16:58

Imagine Boro when unbeaten all season
Henderson had a cracking game last night.
IP: Logged
MightyDuck Posted on 24/01/2020 20:53

Imagine Boro when unbeaten all season
Jeremie Aliadiere player 10 league games for arsenal Invincibles
IP: Logged
glover_elbow Posted on 24/01/2020 21:02

Imagine Boro when unbeaten all season
The best of the whole lot liverpool and arsenal was terry henry unbelievable player.
IP: Logged
WillMunny Posted on 24/01/2020 23:46

Imagine Boro when unbeaten all season
Sorry Gooner, just can't agree with your OP. That arsenal team was indeed a joy to watch at times, but like this Liverpool team, they knew how to grind out a result and did so many times that season. Frozen Horse has mentioned the 14 single goal wins, but also look at the GD over the season of +47 from 26 wins. Liverpool's is currently +39 from 22 wins and looking at the upcoming fixtures, I dare say it'll be about the same after 26 wins. For sure it will be much higher at the end of the season, and Liverpool will score a lot more goals than The Invincibles as well.

As for the argument others have put forward about this being a poor league, well that's trotted out every single season - when Man City won by a mile, when Chelsea did, when Leicester won with 81 points, when Fergie won his last title. Regardless of the state of Man Utd, Chelsea, Spurs and arsenal, this Liverpool team is finding a way to win every week and that is a mark of greatness.

I get why some people prefer The Invincibles of arsenal, as Pires, Bergkamp and Henry were probably easier on the eye. But for me Klopp has assembled a near perfect team without any inherent weaknesses. Come out to attack them and they'll blow you away on the counter. Park the bus and they'll eventually find a way through. Manage to get them on the ropes as Wolves did the other night, they still find the sucker punch. That it happens so often proves that its not simply luck as some like to think.

I might be wrong but personally I think Liverpool have played within themselves this season and will show their best in the coming months. They might however not go unbeaten as the league will be won at a canter and then they should prioritise the Champions League. I'll always rate Fergie's treble winners above arsenal's invincibles, so whilst it would be some achievement for Liverpool to go 55 games undefeated, Klopp and the players would give up that record in a heartbeat for another Champions League win.

A case can be made for many teams to have been the best in PL history and it's an argument that is impossible to win outright. But there is no doubt that Liverpool 2019-20 is up there with the best ever. They are a relentless winning machine greater than the sum of their parts and IMO would have given any of the great Man Utd, arsenal or Chelsea sides of the past a run for their money.
IP: Logged
SirGooner02 Posted on 25/01/2020 01:06

Imagine Boro when unbeaten all season
That was a well-written post-Will as most have been in this debate I appreciated the time taking for responses.I am not downplaying their brilliant achievements in recent years, and of course, personal bias affects judgment.

They are going to win more than our side did in Europe and go unbeaten longer in all likelihood.

I just know having watched both sides in person and ours of course home and away we had a much better side, watching a decent but not great Wolves cause them issues last night I know what we would have done to them. But again stats are stats and I suppose having failed to win the champions league I won't and can't ever win the argument on a non-emotional level.
IP: Logged
exeterboro Posted on 25/01/2020 11:55

Imagine Boro when unbeaten all season
If Nistelroy had taken his penalty properly we wouldn't even be having this discussion.
IP: Logged
HolgateCorner Posted on 25/01/2020 12:40

Imagine Boro when unbeaten all season
I hate dirty Leeds and all they stand for but I have to say that Don Revies team would not have pussy footed around the likes of Van Dyke, Mane, Firminho and Sala like the current top teams have this season.

Theyvwould have been nullified very early on and the job would have been a good one.

The prem is so poor this season that most teams have just stood off Liverpool and not properly challenged the spine of their team, probably been too scared to do it.

Wolves probably got near to doing it the other night but they just happen to have a world class winger in their team just now and he pushed Liverpool onto the back foot and for a period they looked ordinary.
IP: Logged
dooderooni Posted on 25/01/2020 12:46

Imagine Boro when unbeaten all season
I'd say it's terribly churlish to try and take anything away from teams that have set a record of any sort. For example, Leicester were the best team in the league when they won it, no need to cheapen that achievement because others couldn't garner enough points to stop them.

At arsenal's pomp under Wenger they were a joy to watch and in the likes of Vieira, Bergkamp, Petit, Henry and many others were among the best in their positions. They regularly handed us our backsides so if any set of fans should know just how special some of those players were then it was us.

If Liverpool do go unbeaten this season then they'll fully deserve any tag that the press give them. I've said before on here that Klopp's footballing philosophy matches mine and the fact that they haven't slipped up yet is testament to how good they are.
IP: Logged
Nero Posted on 25/01/2020 13:02

Imagine Boro when unbeaten all season
Liverpool have astonishing belief, mentality and consistency. I can't see anybody beating them this season. If they continue winning all their games it will be incredible.

It's difficult comparing them with the arsenal unbeaten side. The 2003 team was certainly special but so is this Liverpool side.
IP: Logged
sheriff_john_bunnell Posted on 25/01/2020 13:39

Imagine Boro when unbeaten all season
Ive never been more fearful of a hammering than when Boro played Wenger's early arsenal teams. In contrast you always felt we could get something v United.

But come on. This Liverpool team is better. 2 points dropped all season. And it's a little churlish to moan about scraping wins and late goals when arsenal only kept their unbeaten record by cheating at Portsmouth. Liverpool are champions of Europe. arsenal have always been European also rans.

There argument the league is weaker is going nowhere too. Financially we blow the other leagues out of the water.
IP: Logged
BoroBen92 Posted on 25/01/2020 13:48
Edited On: 25/01/2020 13:52
Imagine Boro when unbeaten all season
"There argument the league is weaker is going nowhere too. Financially we blow the other leagues out of the water."

I don't think that necessarily makes the league stronger, it just means clubs can spend more and clubs can demand ridiculous fees for average players.

Newcastle spent £40m on absolute spud in Joelinton, a striker who's scored 1 goal on 22 league games.

Burnley and Everton have been embarassed in Europe in the past few years, as examples of clubs outside the usual lot.
Burnley scraped past Aberdeen and Başakşehir, and were knocked out comfortably by Olympiacos without ever getting past the qualifiers.

Wolves are doing well in the Europa League, but they're probably an example of a club that has used their money and connections wisely (and probably dodgily) to build a strong side, which I don't think is the case with a lot of the clubs in the division.
IP: Logged
borofan402 Posted on 25/01/2020 14:13

Imagine Boro when unbeaten all season
Holgate, you canít compare how Don Revies Leeds would fare against todayís Liverpool. Fitness levels, Diets and the tackles you can get away with are totally different.

IP: Logged
sheriff_john_bunnell Posted on 25/01/2020 14:54

Imagine Boro when unbeaten all season
Thats a reasonable argument Ben, but given Liverpool's superior record in Europe and far higher points tally I think you'd need to make a very convincing argument that this is a weaker premier League for arsenal to be better and I don't think it is. If you look at number of international players from the prem at the nearby world cups they're at very similar levels for example.

If I were to pick a combined xi i think Liverpool just edge it.

Alison
AA
Cole
Van Dyke
Campbell
Viera
Henderson
Bergkamp
Mane
Salah
Henry

And I think that's being very harsh on Bobby firmino.
IP: Logged
borofan402 Posted on 25/01/2020 15:08

Imagine Boro when unbeaten all season
My stance is this, at the beginning of the 2000ís every pundit in the sky sports studio was asked which order the top four would be. It was always the same teams, locked into the monopoly of the champions league.

Now there is a top 6. Leicester and Wolves are pushing for their own glory. Sheff Utd are not only able to stay up but look higher up the table. Itís more competitive, more teams have a chance and can aspire to achieve things. How is that a bad thing?

Liverpool - Manchester United - arsenal - Chelsea - Manchester City have all dominated and romped home the league on numerous occasions, itís not a new thing. What does confuse me is why now that people think its Ďboringí or Ďweakerí.
IP: Logged
HolgateCorner Posted on 25/01/2020 15:50
Edited On: 25/01/2020 15:52
Imagine Boro when unbeaten all season
I accept the comment about fitness, diet etc but my point is more to do with teams just letting Liverpool do their stuff this season with very little resistance.
Man U seemed to play at walking pace against them last week.
Some of the top teams of the past be they Revie, Clough, Ferguson or Wenger teams would have been looking to really challenge this Liverpool team, I donít think they have been properly tested this season.

My view is not that the premier league is weaker per se but that a lot of the teams with the resources to take Liverpool on and beat them are in transition just now which is the real reason Liverpool have only dropped 2 points and we are in the last week of January.
IP: Logged
borofan402 Posted on 25/01/2020 15:52

Imagine Boro when unbeaten all season
Fair response Holgate, good post [^]
IP: Logged
SirGooner02 Posted on 26/01/2020 22:08

Imagine Boro when unbeaten all season
I tell you one thing I am glad we had a manager who would respect the facup and its traditions

unlike their manager who wont even turn up for the facup replay because of his players being tired from kicking a ball around, poor lambs.

IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213